#PyVPN
## Suitable for RasperryPI3 Model B+


### Error exit codes:

```
0: ran successfully
1: no config file found
2: missing options
3: missing client name after options
```

### Usage

``pyvpn --create-client [clientname]``

### Requirements

This program requires the following libraries:

``pexpect``

``base64``

Only ``pexpect`` needs to be installed. Run ``pip install pexpect`` to install it.

Or if that didn't work, try ``easy_install pexpect``

### Compatibilty

This script hasn't been tested for Windows use. It will, however, run in all distributions and RPI too.
You need to have Python installed for this to work.


### Installation

Move the script to the scripts directory:

From the repository you just cloned,

Source the path environment variable: 
``source ./.env``

Then install the program: ``mv pyVPN.py /usr/local/bin/pyvpn``

Confirm that the path ``echo $PYVPN_PROCESS_PATH`` is correct. If not, adjust the env file and resource.


### Contributing

All contributions are generally accepted! I'm grateful for any support and advice I might encounter.
Thank you!


### What it returns
The program will return a base64 encoded string of the client config file, for ease of transport across other programs.
However, you can clean your terminal and look for the file in the ```/root``` directory. 

``/root/example.ovpn``

### Licensing

See ``LICENSE``